#!/usr/bin/env python
# -*- coding: utf-8 -*-

#  This file is part of xmppony.

#  Copyright (c) 2009 Anaël Verrier, Éric Araujo

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; version 3 only.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from distutils.core import setup

long_description = ("""xmppony is an XMPP library released under GNU GPLv3. """
                    """It's a fork of xmpppy
(CVS trunk as of 2008-03-25), which was in turn a fork of jabber.py.

xmpppy was written by Alexey Nezhdanov under GNU GPLv2+.
http://xmpppy.sourceforge.net/

jabber.py was written by Matthew Allum under GNU LGPL.
http://jabberpy.sourceforge.net/""")

setup(name='xmppony',
      version='0.1',
      description='XMPP library',
      long_description=long_description,
      author='Anaël Verrier',
      author_email='elghinn@free.fr',
      license='GNU GPLv3',
      platforms=['any'],
      url='http://xmppony.last-exile.org/',
      download_url='http://xmppony.last-exile.org/#download',
      provides=['xmppony'],
      classifiers=(
          'Development Status :: 4 - Beta',
          'Intended Audience :: Developers',
          'License :: OSI Approved :: GNU General Public License (GPL)',
          'Operating System :: OS Independent',
          'Programming Language :: Python',
          'Topic :: Software Development :: Libraries :: Python Modules'),
      packages=['xmppony'])
